## org.jfree.chart.urls
Interface CategoryURLGenerator

All Known Implementing Classes:
  StandardCategoryURLGenerator

    public interface CategoryURLGenerator

A URL generator for items in a `CategoryDataset`.

Author:
  Richard Atkinson

Method Summary
`java.lang.String` `generateURL(CategoryDataset data, int series, int category)` Returns a URL for one item in a dataset.

Method Detail

### generateURL

    java.lang.String generateURL(CategoryDataset data,
                                 int series,
                                 int category)

  Returns a URL for one item in a dataset. As a guideline, the URL should be valid within the context of an XHTML 1.0 document.

  Parameters:
    `data` - the dataset.
    `series` - the series (zero-based index).
    `category` - the category.
  Returns:
    A string containing the URL.